//
// Created by Orest Savchak on 10/6/17.
// Copyright (c) 2017 GetSocial BV. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "GetSocialConstants.h"

@class GetSocialMention;


@interface GetSocialMentionBuilder : NSObject

/*!
 * @abstract Id of user that is mentioned.
 */
@property (nonatomic, strong) GetSocialId userId;

/*!
 * Start position in text where the user is mentioned.
 */
@property (nonatomic) uint startIndex;

/*!
 * End position in text where the user is mentioned.
 */
@property (nonatomic) uint endIndex;

/*!
 * Build a mention.
 * @return new mention instance.
 */
- (GetSocialMention *)build;

@end
